#-----------------------#
# LAUNCHING OF PROGRAMS #
#-----------------------#
exec-once = dunst --startup_notification
exec-once = ~/.config/hypr/xdg-portal-hyprland
exec-once = dbus-update-activation-environment --systemd WAYLAND_DISPLAY XDG_CURRENT_DESKTOP XAUTHORITY DISPLAY
exec-once = systemctl --user import-environment WAYLAND_DISPLAY XDG_CURRENT_DESKTOP
exec-once = /usr/lib/polkit-gnome/polkit-gnome-authentication-agent-1
exec-once = waybar
exec-once = hypridle

exec-once = nm-applet
exec-once = nextcloud --background


exec = hyprctl setcursor oreo_spark_blue_cursors 24
env = QT_QPA_PLATFORM,wayland
env = QT_QPA_PLATFORM_THEME,qt6ct
env = OLLAMA_HOST,0.0.0.0

#-------#
# INPUT #
#-------#
input {
    kb_layout = ch
    natural_scroll = true

    numlock_by_default = true

    follow_mouse = 2
    mouse_refocus = true

    touchpad {
        disable_while_typing = true
        natural_scroll = true
    }

    sensitivity = 0 # -1.0 - 1.0, 0 means no modification.
}

gestures {
    # See https://wiki.hyprland.org/Configuring/Variables/ for more
    workspace_swipe = true
    workspace_swipe_distance = 300
}


#----------------#
# GENERAL CONFIG #
#----------------#
general {
    # See https://wiki.hyprland.org/Configuring/Variables/ for more

    gaps_in = 3
    gaps_out = 10
    border_size = 1
    col.active_border = rgba(cc5c00ff) rgba(cc5c00ff) rgba(ff0000ff) 45deg
    col.inactive_border = rgba(595959aa)

    layout = master
    no_border_on_floating = false
}

decoration {
    # See https://wiki.hyprland.org/Configuring/Variables/ for more
    inactive_opacity = 1
    rounding = 10

    shadow {
        enabled = true
        range = 4
        color = rgba(1a1a1aee)
    }

    blur {
        enabled = true
        xray = true
        new_optimizations = true
        size = 1
        passes = 2
    }
    dim_inactive = true
    dim_strength = 0.1
}

animations {
    enabled = yes

    # Some default animations, see https://wiki.hyprland.org/Configuring/Animations/ for more

    bezier = myBezier, 0.05, 0.9, 0.1, 1.05

    animation = windows, 1, 7, myBezier
    animation = windowsOut, 1, 7, default, popin 80%
    animation = border, 1, 10, default
    animation = fade, 1, 7, default
    animation = workspaces, 1, 6, default
}

misc {
    disable_hyprland_logo = true
    disable_splash_rendering = false
    vrr = 2
    allow_session_lock_restore = true
}

dwindle {
    # See https://wiki.hyprland.org/Configuring/Dwindle-Layout/ for more
    pseudotile = yes # master switch for pseudotiling. Enabling is bound to mainMod + P in the keybinds section below
    preserve_split = yes # you probably want this
}

master {
    # See https://wiki.hyprland.org/Configuring/Master-Layout/ for more
#     no_gaps_when_only = true
}


cursor {
    no_warps = false
    inactive_timeout = 60
}
